Subject: bug#5372: Calling url-retrieve-synchronously in a timer

From: Lennart Borgman <[email-masked]>
Date: Wed, 13 Jan 2010 20:09:14 +0100

On Wed, Jan 13, 2010 at 7:49 PM, Stefan Monnier
<[email-masked]> wrote:
>
>>> Furthermore, it doesn't look like a good thing to
>>> do anyway: timer code should not run for an indefinite amount of time,
>> Maybe you misunderstod me.  If I do the call to
>> url-retrieve-synchronously from the command loop it finishes very
>> quickly (in this case), but if I do the same thing in a timer
>> it hangs.
>
> I understood you alright.  The fact that "it finishes quickly" when you
> try it doesn't mean that it will always run in a definite amount of time.

What is the problem with letting code in a timer run/wait for a long time?